package com.qmth.boot.core.fss.condition;

import org.springframework.context.annotation.Conditional;

import java.lang.annotation.*;

@Target({ ElementType.TYPE, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Conditional(FssConditionExecutor.class)
public @interface FssCondition {

    /**
     * 是否单FileStore配置模式
     *
     * @return
     */
    boolean single();
}
