package com.qmth.boot.test.tools.excel.read;

import com.qmth.boot.test.tools.excel.model.ExcelTestEntity;
import com.qmth.boot.tools.excel.ExcelReader;
import com.qmth.boot.tools.excel.enums.ExcelType;
import com.qmth.boot.tools.excel.listener.ObjectCollector;
import com.qmth.boot.tools.excel.model.DataMap;

import java.io.FileInputStream;
import java.util.List;

public class ExcelReadTest {

    //@Test
    public void testObjectRead() throws Exception {
        FileInputStream ins = new FileInputStream("/Users/luoshi/Downloads/test.xlsx");
        ObjectCollector<ExcelTestEntity> listener = new ObjectCollector<>();
        ExcelReader.create(ExcelType.XLSX, ins, 0).readObject(ExcelTestEntity.class, listener);
        System.out.println(listener.getObjectList().size());
        ins.close();
    }

    //@Test
    public void testDataMapRead() throws Exception {
        FileInputStream ins = new FileInputStream("/Users/luoshi/Downloads/test.xls");
        List<DataMap> list = ExcelReader.create(ExcelType.XLS, ins, 2).getDataMapList();
        System.out.println(list.size());
        ins.close();
    }

}
